Append Messages To Thread
Append messages to existing thread (for MCP integration).
Supports two modes:
- Direct messages:
{"messages": [...]} - File-based:
{"file_path": "...", "format": "auto"}
Optional controls:
deduplicate(default: true)idempotency_key(string; used to derive stable external_ids)space_id(optional; guards appends to a specific Mem space)
Path Parameters
thread_id*Thread Id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/threads/string/append" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "thread_id": "string", "messages_added": 0, "total_messages": 0}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}